Bug 968617 - SELinux is preventing /usr/bin/L2tpIPsecVpn from 'search' accesses on the directory /root/.config.
SELinux is preventing /usr/bin/L2tpIPsecVpn from 'search' accesses on the dir...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:2d06075ea906026f3aaa6d92848...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 19:05 EDT by Daniel Demus
Modified: 2013-07-24 20:38 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.11.1-98.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 20:38:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Demus 2013-05-29 19:05:18 EDT
Description of problem:
Trying to start a VPN tunnel. I assume L2TP IPsec VPN Manager 1.0.8 is trying to read the address of dbus.
SELinux is preventing /usr/bin/L2tpIPsecVpn from 'search' accesses on the directory /root/.config.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that L2tpIPsecVpn should be allowed search access on the .config directory by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep L2tpIPsecVpn /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:pppd_t:s0
Target Context                system_u:object_r:config_home_t:s0
Target Objects                /root/.config [ dir ]
Source                        L2tpIPsecVpn
Source Path                   /usr/bin/L2tpIPsecVpn
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           l2tp-ipsec-vpn-1.0.8-1.1.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-96.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.4-200.fc18.x86_64 #1 SMP Fri
                              May 24 20:10:49 UTC 2013 x86_64 x86_64
Alert Count                   29
First Seen                    2013-04-13 11:50:54 CEST
Last Seen                     2013-05-29 21:53:54 CEST
Local ID                      0a140f32-c21f-4cde-abcc-f4c224f29acb

Raw Audit Messages
type=AVC msg=audit(1369857234.113:406): avc:  denied  { search } for  pid=3991 comm="L2tpIPsecVpn" name=".config" dev="sda3" ino=2490382 scontext=system_u:system_r:pppd_t:s0 tcontext=system_u:object_r:config_home_t:s0 tclass=dir


type=SYSCALL msg=audit(1369857234.113:406): arch=x86_64 syscall=stat success=no exit=EACCES a0=2458f28 a1=7fffa5952040 a2=7fffa5952040 a3=2 items=0 ppid=3988 pid=3991 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=L2tpIPsecVpn exe=/usr/bin/L2tpIPsecVpn subj=system_u:system_r:pppd_t:s0 key=(null)

Hash: L2tpIPsecVpn,pppd_t,config_home_t,dir,search

audit2allow

#============= pppd_t ==============
allow pppd_t config_home_t:dir search;

audit2allow -R
require {
	type pppd_t;
}

#============= pppd_t ==============
gnome_list_home_config(pppd_t)


Additional info:
reporter:       libreport-2.1.4
hashmarkername: setroubleshoot
kernel:         3.9.4-200.fc18.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-05-30 08:12:39 EDT
Fixed in selinux-policy-3.11.1-97.fc18.noarch
Comment 2 Fedora Update System 2013-06-27 09:34:20 EDT
selinux-policy-3.11.1-98.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-98.fc18
Comment 3 Fedora Update System 2013-06-28 02:08:33 EDT
Package selinux-policy-3.11.1-98.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-98.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11859/selinux-policy-3.11.1-98.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-24 20:38:24 EDT
selinux-policy-3.11.1-98.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.